> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/ecuador/cash.md).

# Cash

## Payin by Cash

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Cash in Ecuador.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                    |
| ---------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                   |
| customer.phone                                             | string | User's phone                                                                                   |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                                                   |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: Cash                                                                              |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system<br>- Max. 64 chars -</p>                           |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to                                                       |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                                                    |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- CI, RUC or PP -</p>                                      |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number</p><p>- CI: 10 digits, RUC: 13 digits, PP: 13 characters -</p> |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                |
| subject<mark style="color:red;">\*</mark>                  | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                   |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>payment amount<br>- 1\~300 USD -</p>                                                        |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: USD                                                                               |
| content                                                    | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>                           |
| buyer\_id<mark style="color:red;">\*</mark>                | string | merchant user's id                                                                             |
| bank                                                       | string | <p>User's bank<br>- One of bemovil, wu, minegocioefectivo -</p>                                |
| website\_url                                               | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                                           |
| return\_url                                                | string | Redirect to Merchant's url when user finished checkout                                         |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "trade_no": "2022010106532400030",
    "out_trade_no": "202201010354008",
    "web_url": "",
    "trade_status": "PROCESSING",
    "pay_url":"https://checkout.pagsmile.com/checkout?prepay_id="
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example of identify

| Identify Type | Description       | Format                        |
| ------------- | ----------------- | ----------------------------- |
| CI            | Identity Document | 10 digits                     |
| PP            | Passport          | 13 characters (only for Cash) |
| RUC           | Tax id Number     | 13 digits                     |

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354007",
    * "method": "Cash",
    * "order_amount": "12.01",
    * "order_currency": "USD",
    * "subject": "trade pay test",
      "content": "trade pay test content",
    * "notify_url": "http://merchant/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01",
      "bank": "bemovil",
    * "customer": {
    *     "identify": {
    *         "type": "CI",
    *         "number": "5028231489"
          },
    *     "name": "Test User Name",
    *     "email": "test@pagsmile.com""
      }
      }'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
